"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.configureNodePlugin = void 0;
var publisher_1 = require("./publisher");
function normalizeEvent(ctx) {
    ctx.updateEvent('context.library.name', 'AnalyticsNode');
    ctx.updateEvent('context.library.version', '1.0.0');
    ctx.updateEvent('_metadata.nodeVersion', process.versions.node);
}
function configureNodePlugin(props) {
    var publisher = new publisher_1.Publisher(props);
    function action(ctx) {
        normalizeEvent(ctx);
        return publisher.enqueue(ctx);
    }
    return {
        name: 'Segment.io',
        type: 'after',
        version: '1.0.0',
        isLoaded: function () { return true; },
        load: function () { return Promise.resolve(); },
        alias: action,
        group: action,
        identify: action,
        page: action,
        screen: action,
        track: action,
    };
}
exports.configureNodePlugin = configureNodePlugin;
//# sourceMappingURL=index.js.map