import { Publisher } from './publisher';
function normalizeEvent(ctx) {
    ctx.updateEvent('context.library.name', 'AnalyticsNode');
    ctx.updateEvent('context.library.version', '1.0.0');
    ctx.updateEvent('_metadata.nodeVersion', process.versions.node);
}
export function configureNodePlugin(props) {
    var publisher = new Publisher(props);
    function action(ctx) {
        normalizeEvent(ctx);
        return publisher.enqueue(ctx);
    }
    return {
        name: 'Segment.io',
        type: 'after',
        version: '1.0.0',
        isLoaded: function () { return true; },
        load: function () { return Promise.resolve(); },
        alias: action,
        group: action,
        identify: action,
        page: action,
        screen: action,
        track: action,
    };
}
//# sourceMappingURL=index.js.map